Subject: bug#76967: 30.1; Specific UTF-8 characters causes misalignments on PGTK

From: Artur Manuel <[email-masked]>
Date: Sat, 15 Mar 2025 11:21:03 +0000

> Can you use some font-viewing utility to check if the default
 > face's font has glyphs for the problematic characters, when Emacs 
uses
 > a different font for them?
Did that just now on the problematic characters. I can finally conclude
that this is a font-wise issue. I believe the solution is to just force
fixed-pitch on fonts (like what foot is doing) instead of allowing fonts
of varying width to do as they please.

However, I feel like if forced fixed-width were to be implemented in the
future, it would need to be done as a special mode which toggles it.
Since EWW (I think at least) and some Org-mode users would prefer to use
variable-pitch.
------------
Artur Manuel
amadaluzia